%global debug_package %{nil}
%global git_commit 81c902a123462fd4052bc5e9aa9c513c4c8fc142
%global k8s_major 1
%global k8s_minor 29

Name:       helm
Version:    3.14.4
Release:    1%{?dist}
Summary:    The Kubernetes package manager
License:    Apache-2.0
URL:        https://helm.sh
Source0:    https://github.com/helm/helm/archive/refs/tags/v%{version}.tar.gz
Source1:    %{name}-%{version}-vendored-deps.tar.gz
Source2:    bundled.inc

BuildRequires:  golang
%include        %SOURCE2

%description
Helm is a tool that streamlines installing and managing
Kubernetes applications delivered as Charts.


%prep
%autosetup
tar -xf %SOURCE1 --strip-components=1


%build
%define helm_version    -X helm.sh/helm/v3/internal/version.version=v%{version}
%define helm_gitcommit  -X helm.sh/helm/v3/internal/version.gitCommit=%{git_commit}
%define helm_tree       -X helm.sh/helm/v3/internal/version.gitTreeState=clean
%define lint_major      -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMajor=%{k8s_major}
%define lint_minor      -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMinor=%{k8s_minor}
%define charts_major    -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMajor=%{k8s_major}
%define charts_minor    -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMinor=%{k8s_minor}

export CGO_ENABLED=0
go build -trimpath -ldflags '-s -w %{helm_version} %{helm_gitcommit} %{helm_tree} %{lint_major} %{lint_minor} %{charts_major} %{charts_minor}' -mod=vendor -o ./helm ./cmd/helm


%install
install -D -m 0755 helm %{buildroot}%{_bindir}/helm


%files
%doc README.md OWNERS
%license LICENSE
%{_bindir}/helm


%changelog
* Sat Apr 13 2024 Mike Rochefort <mroche@omenos.dev> - 3.14.4-1
- Up date to v3.14.4

* Sat Mar 23 2024 Mike Rochefort <mroche@omenos.dev> - 3.14.3-1
- Up date to v3.14.3

* Wed Feb 21 2024 Mike Rochefort <mroche@omenos.dev> - 3.14.2-1
- Update to v3.14.2

* Fri Jan 19 2024 Mike Rochefort <mroche@omenos.dev> - 3.14.0-1
- Update to v3.14.0

* Wed Dec 20 2023 Mike Rochefort <mroche@omenos.dev> - 3.13.3-1
- Update to v3.13.3

* Mon Nov 27 2023 Mike Rochefort <mroche@omenos.dev> - 3.13.2-1
- Update to v3.13.2

* Sat Oct 14 2023 Mike Rochefort <mroche@omenos.dev> - 3.13.1-1
- Update to v3.13.1

* Mon Aug 14 2023 Mike Rochefort <mroche@omenos.dev> - 3.12.3-1
- Update to v3.12.3

* Fri Jul 14 2023 Mike Rochefort <mroche@omenos.dev> - 3.12.2-1
- Update to v3.12.2

* Thu Jun 15 2023 Mike Rochefort <mroche@omenos.dev> - 3.12.1-1
- Update to v3.12.1

* Thu May 11 2023 Mike Rochefort <mroche@omenos.dev> - 3.12.0-1
- Update to v3.12.0

* Wed Apr 12 2023 Mike Rochefort <mroche@omenos.dev> - 3.11.3-1
- Update to v3.11.3

* Fri Mar 10 2023 Mike Rochefort <mroche@omenos.dev> - 3.11.2-1
- Update to v3.11.2

* Fri Feb 10 2023 Mike Rochefort <mroche@omenos.dev> - 3.11.1-1
- Update to v3.11.1

* Wed Jan 18 2023 Mike Rochefort <mroche@omenos.dev> - 3.11.0-1
- Update to v3.11.0

* Fri Dec 16 2022 Mike Rochefort <mroche@omenos.dev> - 3.10.3-1
- Update to v3.10.3

* Thu Nov 10 2022 Mike Rochefort <mroche@redhat.com> - 3.10.2-1
- Update to v3.10.2

* Wed Oct 12 2022 Mike Rochefort <mroche@redhat.com> - 3.10.1-1
- Update to v3.10.1

* Wed Sep 21 2022 Mike Rochefort <mroche@redhat.com> - 3.10.0-1
- Update to v3.10.0

* Thu Aug 25 2022 Mike Rochefort <mroche@redhat.com> - 3.9.4-1
- Update to v3.9.4

* Wed Aug 10 2022 Mike Rochefort <mroche@redhat.com> - 3.9.3-1
- Update to v3.9.3

* Thu Jul 21 2022 Mike Rochefort <mroche@redhat.com> - 3.9.2-1
- Update to v3.9.2

* Wed Jul 13 2022 Mike Rochefort <mroche@redhat.com> - 3.9.1-1
- Update to v3.9.1

* Wed May 18 2022 Mike Rochefort <mroche@redhat.com> - 3.9.0-1
- Update to v3.9.0

* Wed Apr 13 2022 Mike Rochefort <mroche@redhat.com> - 3.8.2-1
- Update to v3.8.2

* Wed Mar 09 2022 Mike Rochefort <mroche@redhat.com> - 3.8.1-1
- Update to v3.8.1

* Sat Feb 12 2022 Mike Rochefort <mroche@redhat.com> - 3.8.0-1
- Build v3.8.0
